> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1userdevices



## OpenAPI

````yaml /api-reference/openapi.json post /v1/user/devices
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/user/devices:
    post:
      tags:
        - Devices
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DTOUpsertDeviceRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/DTOUpsertDeviceRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/DTOUpsertDeviceRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    DTOUpsertDeviceRequest:
      type: object
      properties:
        deviceId:
          type: string
          nullable: true
        expoPushToken:
          type: string
          nullable: true
        pushToken:
          type: string
          nullable: true
        pushTokenType:
          $ref: '#/components/schemas/ModelsDevicesSBPushTokenType'
        designName:
          type: string
          nullable: true
        deviceName:
          type: string
          nullable: true
        deviceType:
          $ref: '#/components/schemas/ModelsDevicesSBDeviceType'
        brand:
          type: string
          nullable: true
        deviceYearClass:
          type: integer
          format: int32
          nullable: true
        manufacturer:
          type: string
          nullable: true
        modelId:
          type: string
          nullable: true
        modelName:
          type: string
          nullable: true
        osBuildFingerprint:
          type: string
          nullable: true
        osBuildId:
          type: string
          nullable: true
        osInternalBuildId:
          type: string
          nullable: true
        osName:
          type: string
          nullable: true
        osVersion:
          type: string
          nullable: true
        platformApiLevel:
          type: string
          nullable: true
        productName:
          type: string
          nullable: true
        supportedCpuArchitectures:
          type: array
          items:
            type: string
          nullable: true
        uptime:
          type: number
          format: double
          nullable: true
        totalMemory:
          type: integer
          format: int64
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ModelsDevicesSBPushTokenType:
      enum:
        - APN
        - FCM
      type: string
    ModelsDevicesSBDeviceType:
      enum:
        - UNKNOWN
        - PHONE
        - TABLET
        - DESKTOP
        - TV
      type: string

````